{
  "name": "imexrps",
  "productName": "ImEX RPS",
  "author": "ImEX Systems Inc. <support@thinkimex.com>",
  "description": "ImEX RPS",
  "version": "1.3.0-alpha",
  "main": "electron/main.js",
  "homepage": "./",
  "dependencies": {
    "@ant-design/pro-layout": "^7.19.0",
    "@apollo/client": "^3.9.11",
    "@sentry/electron": "^4.22.0",
    "@vitejs/plugin-react": "^4.2.1",
    "antd": "^5.16.2",
    "apollo-link-logger": "^2.0.1",
    "apollo-link-sentry": "^3.3.0",
    "chokidar": "^3.6.0",
    "dayjs": "^1.11.10",
    "dayjs-business-days2": "^1.2.2",
    "dbffile": "^1.9.3",
    "dinero.js": "^1.9.1",
    "electron-context-menu": "^3.6.1",
    "electron-is-dev": "^2.0.0",
    "electron-log": "^5.1.2",
    "electron-reload": "^2.0.0-alpha.1",
    "electron-store": "^8.2.0",
    "electron-updater": "^6.1.8",
    "eslint": "^8.57.0",
    "eslint-config-react-app": "^7.0.1",
    "firebase": "^10.11.0",
    "graphql": "^16.8.1",
    "lodash": "^4.17.21",
    "logrocket": "^8.1.0",
    "moment": "^2.30.1",
    "node-xlsx": "^0.24.0",
    "nucleus-nodejs": "^3.0.9",
    "query-string": "^9.0.0",
    "react": "^18.2.0",
    "react-dom": "^18.2.0",
    "react-infinite-scroller": "^1.2.6",
    "react-redux": "^9.1.1",
    "react-router-dom": "^6.22.3",
    "react-to-print": "^2.15.1",
    "recharts": "^2.12.5",
    "redux": "^5.0.1",
    "redux-logger": "^3.0.6",
    "redux-persist": "^6.0.0",
    "redux-saga": "^1.3.0",
    "reselect": "^5.1.0",
    "sass": "^1.75.0",
    "subscriptions-transport-ws": "^0.9.19",
    "vite-plugin-ejs": "^1.7.0"
  },
  "scripts": {
    "start": "vite",
    "build": "vite build",
    "dev": "concurrently -k \"npm start\" \"npm:electron\"",
    "electron": "electron .",
    "pack": "electron-builder --dir",
    "dist": "npm run build && electron-builder",
    "distp": "npm run build && electron-builder --publish always",
    "distpnb": "lectron-builder --publish always",
    "postinstall": "electron-builder install-app-deps",
    "sentry:sourcemaps": "sentry-cli sourcemaps inject --org imex --project rps ./build && sentry-cli sourcemaps upload --org imex --project rps ./build"
  },
  "eslintConfig": {
    "extends": "react-app"
  },
  "browserslist": {
    "production": [
      ">0.2%",
      "not dead",
      "not op_mini all"
    ],
    "development": [
      "last 1 chrome version",
      "last 1 firefox version",
      "last 1 safari version"
    ]
  },
  "devDependencies": {
    "concurrently": "^8.2.2",
    "electron": "^30.0.0",
    "electron-builder": "^24.13.3",
    "electron-devtools-installer": "^3.2.0",
    "eslint-config-react": "^1.1.7",
    "vite": "^5.0.11",
    "vite-plugin-babel": "^1.2.0",
    "vite-plugin-eslint": "^1.8.1",
    "vite-plugin-legacy": "^2.1.0",
    "vite-plugin-node-polyfills": "^0.19.0",
    "vite-plugin-style-import": "^2.0.0"
  },
  "build": {
    "generateUpdatesFilesForAllChannels": true,
    "extends": null,
    "appId": "com.imex.rps",
    "copyright": "Copyright © ImEX Systems Inc.",
    "files": [
      "build/**",
      "electron/**",
      "src/ipc.types.js",
      "src/ipc.types.json",
      "src/ipc.types.commonjs.js",
      "src/assets/**"
    ],
    "publish": {
      "provider": "s3",
      "bucket": "rps-updater",
      "region": "ca-central-1"
    },
    "win": {
      "target": "nsis",
      "icon": "src/icons/win/icon.ico"
    },
    "dmg": {
      "contents": [
        {
          "x": 110,
          "y": 150
        },
        {
          "x": 240,
          "y": 150,
          "type": "link",
          "path": "/Applications"
        }
      ]
    },
    "linux": {
      "target": [
        "AppImage",
        "deb"
      ]
    }
  }
}
